Exodus 7.10

Macros | Functions
ex_copy.c File Reference
`#include "exodusII.h"`
`#include "exodusII_int.h"`
`#include "netcdf.h"`
`#include <assert.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Macros
#define | STRINGIFY(x) #x
#define | TOSTRING(x) STRINGIFY(x)
#define | EXCHECK(funcall)
#define | EXCHECKI(funcall)
#define | EXCHECKF(funcall)

## Functions
int | ex_copy (int in_exoid, int out_exoid)
int | ex_copy_transient (int in_exoid, int out_exoid)

## Macro Definition Documentation

## ◆ EXCHECK

#define EXCHECK | ( |  | funcall | ) |

Value:
if ((funcall) != NC_NOERR) { \
fprintf(stderr, "Error calling %s\n", TOSTRING(funcall)); \
EX_FUNC_LEAVE(EX_FATAL); \
}
EX_FATAL
#define EX_FATAL
Definition: exodusII.h:1670
TOSTRING
#define TOSTRING(x)
Definition: ex_copy.c:47

Examples:
  /test/CreateEdgeFace.c, /test/MakeTestData.c, /test/oned.c, /test/ReadEdgeFace.c, and /test/testwt-localization.C.

## ◆ EXCHECKF

#define EXCHECKF | ( |  | funcall | ) |

Value:
if ((funcall) != NC_NOERR) { \
fprintf(stderr, "Error calling %s\n", TOSTRING(funcall)); \
goto err_ret; \
}
TOSTRING
#define TOSTRING(x)
Definition: ex_copy.c:47

## ◆ EXCHECKI

#define EXCHECKI | ( |  | funcall | ) |

Value:
if ((funcall) != NC_NOERR) { \
fprintf(stderr, "Error calling %s\n", TOSTRING(funcall)); \
return (EX_FATAL); \
}
EX_FATAL
#define EX_FATAL
Definition: exodusII.h:1670
TOSTRING
#define TOSTRING(x)
Definition: ex_copy.c:47

## ◆ STRINGIFY

#define STRINGIFY | ( |  | x | ) | #x

## ◆ TOSTRING

#define TOSTRING | ( |  | x | ) | STRINGIFY(x)

## Function Documentation

## ◆ ex_copy()

int ex_copy | ( | int | in_exoid,
|  | int | out_exoid
| ) |  |

Undocumented:

efficiently copies all non-transient information (attributes, dimensions, and variables from an opened EXODUS file to another opened EXODUS file. Will not overwrite a dimension or variable already defined in the new file.

Parameters

  in_exoid | exodus file id for input file
  out_exoid | exodus file id for output file

## ◆ ex_copy_transient()

int ex_copy_transient | ( | int | in_exoid,
|  | int | out_exoid
| ) |  |